Page MenuHomeFreeBSD

Mention fsck_ffs -E in tunefs(8).
ClosedPublic

Authored by trasz on Apr 12 2016, 7:15 PM.

Details

Summary

Mention fsck_ffs -E in tunefs(8). It's non-obvious that one should
use it after enabling TRIM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz updated this revision to Diff 15120.Apr 12 2016, 7:15 PM
trasz retitled this revision from to Mention fsck_ffs -E in tunefs(8)..
trasz updated this object.
trasz edited the test plan for this revision. (Show Details)
trasz updated this revision to Diff 15121.Apr 12 2016, 7:16 PM
trasz edited edge metadata.

Meh.

wblock added a subscriber: wblock.Apr 13 2016, 2:10 AM
wblock added inline comments.
sbin/tunefs/tunefs.8
171 ↗(On Diff #15121)

"the" is repeated. (igor finds these. Just saying.)

174 ↗(On Diff #15121)

This seems easier to read the other way around:
See
.Xr fsck_ffs 8
about
.Fl E .

177 ↗(On Diff #15121)

s/the above/these/

Yes, I know it's not yours, but it refers to that section.

trasz added inline comments.Apr 16 2016, 12:37 PM
sbin/tunefs/tunefs.8
174 ↗(On Diff #15121)

Hm, what I've did is consistent with how it's spelled in the referenced manual page:

See the -E and -t flags of newfs(8), and the -t flag of tunefs(8).

Not sure which way is better; not a native english speaker myself :-)

emaste added a subscriber: emaste.Apr 16 2016, 12:37 PM
emaste added inline comments.
sbin/tunefs/tunefs.8
174 ↗(On Diff #15121)

Or

See the
.Xr fsck_ffs 8
.Fl E flag.

?

wblock added inline comments.Apr 16 2016, 4:02 PM
sbin/tunefs/tunefs.8
174 ↗(On Diff #15121)

This works also. The references become increasingly more specific, so the reader does not have to remember the flag name while running man fsck_ffs.

trasz updated this revision to Diff 15265.Apr 16 2016, 5:28 PM
trasz edited edge metadata.

Update based on feedback.

Ping? Does it look ok now? If so, can you mark it accepted? Thanks!

brueffer accepted this revision.Apr 19 2016, 11:13 AM
brueffer added a reviewer: brueffer.
This revision is now accepted and ready to land.Apr 19 2016, 11:13 AM
This revision was automatically updated to reflect the committed changes.